# $Revision: 1.7 $, $Date: 2005/05/25 12:33:42 $
Summary:	Theora - video codec intended for use within Ogg multimedia streaming system
Summary(pl):	Theora - kodek obrazu do uywania w systemie strumieni multimedialnych Ogg
Name:		libtheora
Version:	1.0
%define	bver	alpha4
Release:	0.%{bver}.2
License:	BSD-like
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/theora/%{name}-%{version}%{bver}.tar.gz
# Source0-md5:	75f436a980b80f8b8102ee182ddb8748
URL:		http://www.theora.org/
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libogg-devel >= 2:1.1
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0.1
BuildRequires:	pkgconfig
Requires:	libogg >= 2:1.1
Requires:	libvorbis >= 1:1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Theora is Xiph.Org's first publicly released video codec, intended for
use within the Ogg's project's Ogg multimedia streaming system. Theora
is derived directly from On2's VP3 codec; Currently the two are nearly
identical, varying only in framing headers, but Theora will diverge
and improve from the main VP3 development lineage as time progresses.

%description -l pl
Theora to pierwszy publicznie wypuszczony przez Xiph.Org kodek obrazu,
majcy by uywany w systemie strumieni multimedialnych Ogg. Theora
wywodzi si bezporednio z kodeka VP3 On2. Aktualnie oba s prawie
identyczne, rni si jedynie nagwkami ramek, ale Theora bdzie si
coraz bardziej rozwija w stosunku do VP3.

%package devel
Summary:	Header files for Theora library
Summary(pl):	Pliki nagwkowe biblioteki Theora
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Theora library.

%description devel -l pl
Pliki nagwkowe biblioteki Theora.

%package static
Summary:	Static Theora library
Summary(pl):	Statyczna biblioteka Theora
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Theora library.

%description static -l pl
Statyczna biblioteka Theora.

%prep
%setup -q -n %{name}-%{version}%{bver}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_builddir}/%{buildsubdir}/__docs

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/{color.html,vp3-format.txt} doc/libtheora/html doc/spec/Theora_I_spec.pdf
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/theora
%{_pkgconfigdir}/theora.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtheora.spec,v $
Revision 1.7  2005/05/25 12:33:42  pluto
- release .2 for Th.

Revision 1.6  2005/03/04 12:03:18  charles
- BR pkgconfig

Revision 1.5  2005/01/22 10:07:40  qboosh
- BR: doxygen, include real (API and format) docs

Revision 1.4  2005/01/22 01:58:13  charles
- updated to 1.0alpha4
- removed obsolete -ogg.patch
- note: specially without trivial devel docs

Revision 1.3  2004/03/25 18:41:02  kosmo
- updated to 1.0alpha3

Revision 1.2  2003/11/22 01:06:02  qboosh
- now we have new libogg, so it builds at last
- removed unneeded (mistaken) entries from ogg patch

Revision 1.1  2003/08/16 00:48:30  qboosh
- new; but requires CVS libogg (unresolved symbols with 1.0)
